Sponsor Link

トラブル続出??WordPress4.5のアップデートはちょっと待った方が良いかも。

laterjay / Pixabay


トラブル続出??

WordPress4.5にアップデートするのはちょっと待った!!?

昨日から珍しく気持ちが落ち込んでいてブログを更新する気力がなかったんだけど、大事?な事なんで書く。

2016/04/21更新↓↓以下で追記記事を書いています。併せてご閲覧下さい。

WordPress4.5のアップデートの件。更新を待機した方が良いのはロリポユーザー!?
WordPress4.5のアップデートの件。 更新を待機した方が良いのは一部のロリポユーザー!? 14日にこの記事⇑⇑を書いた時、ちゃんとした原因が判***

はじめに

WordPressの更新はボタン1つ―。そのワンクリックで「思わぬ展開」になるかも知れません。

特にWordPressをはじめたばかりだと言われる初心者の方は、
諸先輩方が更新されてから、ある程度経過してからの更新の方が良いですよ。

もしもの「思わぬ展開」になってしまった時、自分で処理できなかったら、
Google先生に頼ると思うんですよね。
Google先生と言っても、諸先輩の記事頼みな訳で、もしも誰も記事にしていなかったら―??

どんな展開が待っているのか判らないのですからトラブルシューティングは諸先輩に習うのが吉です。


WordPress 4.5–en_USリリース

WordPress4.5がリリースされて、いつもの様に、
「WordPress 4.5 が利用可能です。 今すぐ更新してください。」
と誘いをかけてくるんだけど、WordPress 4.5–en_US だし、
私はいつもjaがくるまで待機してしてるから、セーフな感じなんですけど、

色々と調べていたら、結構問題があるみたいです。

メディアのアップロードでFatal error
WordPress 4.5 class-wp-image-editor-imagick.php のバグ対策
ワードプレス4.5へアップデートしたら記事が表示されなくなりました。

怖いですよね・・・記事が表示されないなんて。

フォーラム以外では、
画像をアップロードできないとおっしゃっている方が多いです。

で、今日は落ち込んでいたので、「記事上げヤメ。」とすねてTwitterを覗いていたら、
Simplicityのアップデートの情報

Simplicityを2.1.4にバージョンアップしました。 今回の主な変更点は以下。 ビジュアルエディターに 基本的な文章装飾スタイル選択ドロップボックスを追加 テキストエディターに 基本的な文章装飾スタイルボタンを追加 Push
「Simplicity2.1.4公開。エディター機能、スキン機能の仕様変更など。」と出ていたので、訪問すると、

WordPress4.5にアップデート後、フォーラムプラグイン(bbPress)が正常動作しなくなってしまいました。

ただ、Wordpress4.4にダウングレードしても、問題は解決せず…;原因を調査中ですが、今のところ分かっていません。
もし、解決方法をご存知の方がおられましたら、メールTwitterで教えていただければ幸いです。

うぁー。何とか力になりたいとは思いつつ、、、bbs使ってもないし、スキルもない。

bbPress本家は更新がないし、、、(最終更新、3ヵ月前って、如何にもやばそうですよね)

After the todays (13/4) update to WordPress 4.5
link doesn´t funktion in the bbPress edit box.
Is a bbPress update coming to solve this problem?

こんな書き込みがサポートフォーラムにあったし、
海外の他サイトも数か所廻ってみたけど、bbPressのボヤキは有っても解決策無し。

なんとか、無事に解決出来ます様に。と祈るしかないです。😔

Simplicity使いの方は、jaがくるまで待機した方が良い様に思います。
(何故ならこの状態では、エラーが出ても4.5–en_USの仕業なのか?
テーマに起因するものか?判らんと思うので。4.5に対応されるまで待つが一番。)

WordPressの更新等々とは関係ない事で(Crayon Syntax Highlighterが原因)見事!!解決されています。

4月13日の19時32分頃、当サイトをWordpress4.4.2’4.5にアップグレードしました。 すると、フォーラムプラグイン(bbPress)のトピックにアクセスしようとすると、以下のような500エラーが出てしまうようになってしまい

他にも、↓とか。

WP4.5でjQueryがエラー: Syntax error, unrecognized expression

上記のサイトさんみたいなケースや、
プラグイン更新&4.5にしたら、
「HTTP500内部エラーが出た」と言っている方もいましたので、、、。

取りあえず、テーマやプラグインの更新も暫く待機して、
WordPress 4.5.1 が出るまで待った方が良いかと。

Version 4.5 – WordPress Codex 日本語版
こちら↑をみると、いい感じで「はやく使ってみたい」とか思いますけど、
私を含めてWordPressの初心者は
WordPressのバージョンアップの時は、暫く様子をみてから更新した方が賢い選択だと思います。

もしも、「それでも更新するぞ」という元気な方は、
ローカル側で試すとか(デモサイトで試すとか)バックアップを取ってから更新する様にしましょう。


非推奨の関数

add_object_page()
add_utility_page()
get_comments_popup_template()
is_comments_popup()
comments_popup_script()
popuplinks()
_wp_upload_dir_baseurl()
get_currentuserinfo()

なんか、嵐の予感。

この記事のアイキャッチ画像はPixabay/laterjayさんからお借りしました